package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.*;
import com.ruoyi.system.model.HistoryResonseDataModel;
import com.ruoyi.system.model.HistorySaveDataModel;
import com.ruoyi.system.model.SelActSuppliesDao;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *  清洗规则Mapper接口
 *
 * @author
 * @date 2023-08-30
 */
@Repository
public interface ActSuppliesCleaningRuleMapper
{

    int addActSuppliesSixMinesSummaryTable(ActSuppliesSixMinesSummaryTable actSuppliesSixMinesSummaryTable);

    int addActSuppliesImportTable(ActSuppliesImportTable actSuppliesImportTable);

    int addActSuppliesImportCleaning(ActSuppliesImportCleaning actSuppliesImportTable);

    int deleteActSuppliesSixMinesSummaryTable(Long hId);

    int deleteActSuppliesImportTable(Long hId);

    int deleteActSuppliesImportCleaning(Long hId);

    int deleteActSuppliesImportTableCopy(String hId);

    void addInsertConvert1(ActSuppliesImportTable actSuppliesImportTable);

    void addInsertConvert2(ActSuppliesImportTable actSuppliesImportTable);

    void addInsertConvertAcc(ActSuppliesImportTable actSuppliesImportTable);

//    void addActSuppliesImportCleaningAcc(ActSuppliesImportCleaningAcc actSuppliesImportCleaningAcc);
    void addActSuppliesImportCleaningAcc(@Param("actSuppliesImportCleaningAccs") List<ActSuppliesImportCleaningAcc> actSuppliesImportCleaningAccs);

    List<ActSuppliesImportCleaningAcc> selectActSuppliesCleaningCopy(Long id);

    void insert(@Param("accList") List<ActSuppliesImportCleaningAcc> cleaningAccList);

    void deleteByMineIdAndDateColumn(@Param("mineId") String mineId, @Param("dateColumn") String dateColumn);

    List<SelActSuppliesDao> selActSupplies();

    List<SelActSuppliesDao> selActSuppliesOne();

    void saveHistoryData(@Param("data") HistorySaveDataModel historySaveDataModel, @Param("jsonString") String jsonString);

    List<HistoryResonseDataModel> selectNewData();

    List<Object> selectContent(@Param("id") Integer id);

    void deleteById(@Param("id") Integer id);
}
